Bug 239190 - Update java/intellij-rubymine to version 2019.1.2
Summary: Update java/intellij-rubymine to version 2019.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pedro F. Giffuni
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-13 18:40 UTC by Pedro F. Giffuni
Modified: 2019-07-22 21:57 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (stefan.wendler)


Attachments
svn diff (58.62 KB, patch)
2019-07-13 18:40 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2019-07-13 18:40:39 UTC
Created attachment 205754 [details]
svn diff

Bring the latest update along with some changes inspired from the devel/phpstorm-* variants.
Enable the new file-watching monitor by default.
Comment 1 Pedro F. Giffuni freebsd_committer 2019-07-20 17:05:03 UTC
CC mentor
Comment 2 stefanw 2019-07-22 08:24:29 UTC
I am sorry that I couldn't do it myself. It is not much work but I cannot find the time at the moment. Don't hesitate to put yourself in as the maintainer. Thx for the help :)
Comment 3 Thierry Thomas freebsd_committer 2019-07-22 18:09:22 UTC
I would suggest to set
WRKDIST=	${WRKDIR}/RubyMine-${PORTVERSION}
but besides that, I approve it (as pfg's mentor, not as maintainer!)
Comment 4 commit-hook freebsd_committer 2019-07-22 21:54:37 UTC
A commit references this bug:

Author: pfg
Date: Mon Jul 22 21:53:41 UTC 2019
New revision: 507176
URL: https://svnweb.freebsd.org/changeset/ports/507176

Log:
  Update java/intellij-rubymine to version 2019.1.2

  PR:		239190
  Approved by:	thierry (mentor)

Changes:
  head/java/intellij-rubymine/Makefile
  head/java/intellij-rubymine/distinfo
  head/java/intellij-rubymine/files/pkg-message.in
  head/java/intellij-rubymine/pkg-plist
Comment 5 Pedro F. Giffuni freebsd_committer 2019-07-22 21:57:22 UTC
Hi Stefan;

No problem, I think you should still maintain it: its just important to have second eyes watching what creeps in :).